Update product
PUT
https://api.radom.com/product/{id}Authorization
Send your API key in the Authorization header. Scheme: radomToken.
Parameters
idstring<uuid>pathrequiredUnique identifier for the product.
Request body
namestringrequireddescriptionstringrequiredimagestring<binary>nullableproductTypeProductTypenullable
PresalePresalerequired
TokenTokenPresalerequired
tickerstringrequireddecimalsinteger<int32>required>= 0sendSubscriptionEmailsbooleannullableResponses
200Product updated successfully
idstring<uuid>requiredUnique identifier for the product.
namestringrequiredName of the product.
descriptionstringrequiredProduct description.
productTypeProductTypenullable
PresalePresalerequired
TokenTokenPresalerequired
tickerstringrequireddecimalsinteger<int32>required>= 0organizationIdstring<uuid>requiredProduct's owning organization ID.
addOnsAddOn[]required
Additional cost add ons for the product.
idstring<uuid>requiredUnique identifier for the add on.
namestringrequiredName of the add on.
pricenumber<float>requiredPrice of the add on.
chargingIntervalSecondsinteger<int64>required>= 0Frequency of subscription payments.
currencyCurrencyrequiredAllowed
USDCADGBPEURAEDINRSEKBRLNZDAUDHKDNOKDKKJPYCNYCHFSGDPLNMXNCZKHUFZARSARRUBTRYILSUSDCUSDTEURCBTCTEST0ETHBNBSOLTRXAVAXMATICpricenumber<float>required>= 0Product price (either one time payment or susbcription charge).
imageUrlstringrequiredURL of image to use for the product.
createdAtstring<date-time>requiredTime at which product was created.
updatedAtstring<date-time>requiredTime at which product was last updated.
isArchivedbooleanrequiredTrue if product is archived on dashboard
sendSubscriptionEmailsbooleannullable400Bad request
errorstringrequired401Unauthorized
errorstringrequired500Internal server error
errorstringrequired